//
// File: CegoAdm.cc
// This code was produced by the dragon parser generator
//
#include "CegoAdm.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

CegoAdm::ScannerStateEntry::ScannerStateEntry()
{
}

CegoAdm::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

CegoAdm::ScannerStateEntry& CegoAdm::ScannerStateEntry::operator = (const CegoAdm::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool CegoAdm::ScannerStateEntry::operator == (const CegoAdm::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

CegoAdm::ScannerStateType CegoAdm::ScannerStateEntry::getType()
{
   return _type;
}
int CegoAdm::ScannerStateEntry::getState()
{
   return _state;
}


CegoAdm::ScannerTransEntry::ScannerTransEntry()
{
}

CegoAdm::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

CegoAdm::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

CegoAdm::ScannerTransEntry& CegoAdm::ScannerTransEntry::operator = (const CegoAdm::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool CegoAdm::ScannerTransEntry::operator == (const CegoAdm::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int CegoAdm::ScannerTransEntry::getFState()
{
   return _fstate;
}


CegoAdm::Scanner::Scanner()
{
}


CegoAdm::Scanner::Scanner(Token t)
{
   _token = t;
}

CegoAdm::Token CegoAdm::Scanner::getToken()
{
   return _token;
}

void CegoAdm::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void CegoAdm::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool CegoAdm::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
CegoAdm::StackEntry::StackEntry()
{
   _symbol = NONE;
}

CegoAdm::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

CegoAdm::StackEntry& CegoAdm::StackEntry::operator = (const CegoAdm::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int CegoAdm::StackEntry::getState()
{
   return _state;
}
CegoAdm::Symbol CegoAdm::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& CegoAdm::StackEntry::getTval()
{
   return _tval;
}

CegoAdm::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

CegoAdm::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool CegoAdm::ActionEntry::operator == (const CegoAdm::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

CegoAdm::ActionEntry& CegoAdm::ActionEntry::operator = (const CegoAdm::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

CegoAdm::Action CegoAdm::ActionEntry::getAction()
{
   return _action;
}

int CegoAdm::ActionEntry::getNum()
{
   return _num;
}

CegoAdm::ProdEntry::ProdEntry()
{
}

CegoAdm::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

CegoAdm::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool CegoAdm::ProdEntry::operator == (const CegoAdm::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

CegoAdm::ProdEntry& CegoAdm::ProdEntry::operator = (const CegoAdm::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int CegoAdm::ProdEntry::getId()
{
   return _id;
}

CegoAdm::Production CegoAdm::ProdEntry::getProd()
{
   return _prod;
}

int CegoAdm::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void CegoAdm::loadScanner()
{
   Scanner s0(ABORT);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(5 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s0.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s0.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s0);

   Scanner s1(ADD);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ADM);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(APPSIZE);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(7 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s3.addTransition(ScannerTransEntry(5 ,'z' ,6));
   s3.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s3);

   Scanner s4(ARCHLOG);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(7 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s4.addTransition(ScannerTransEntry(6 ,'g' ,7));
   _scannerList.Insert(s4);

   Scanner s5(ASSIGN);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(6 ,FINAL));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s5.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s5.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s5.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s5);

   Scanner s6(AUTOCORRECT);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(11 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s6.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s6.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s6.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s6.addTransition(ScannerTransEntry(6 ,'r' ,7));
   s6.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s6.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s6.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s6.addTransition(ScannerTransEntry(10 ,'t' ,11));
   _scannerList.Insert(s6);

   Scanner s7(BACKUP);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'p' ,6));
   _scannerList.Insert(s7);

   Scanner s8(BEGIN_TOKEN);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s8);

   Scanner s9(BINARY);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(6 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s9.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s9.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s9.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s9);

   Scanner s10(BUFILE);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s10);

   Scanner s11(BUSTAT);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s11);

   Scanner s12(TSTICKET);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(8 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'k' ,6));
   s12.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s12.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s12);

   Scanner s13(BY);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,FINAL));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s13);

   Scanner s14(CHECK);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s14);

   Scanner s15(CHECKPOINT);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(10 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'k' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'p' ,6));
   s15.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s15.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s15.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s15.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s15);

   Scanner s16(CLEANUP);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(7 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s16.addTransition(ScannerTransEntry(6 ,'p' ,7));
   _scannerList.Insert(s16);

   Scanner s17(CLOSE);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s17);

   Scanner s18(CONNECT);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(7 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s18.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s18.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s18);

   Scanner s19(COPY);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'y' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CORRECT);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(7 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s20.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s20.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s20.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s20);

   Scanner s21(CREATE);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(6 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s21.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s21);

   Scanner s22(DATAFILE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(8 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s22.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s22.addTransition(ScannerTransEntry(6 ,'l' ,7));
   s22.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s22);

   Scanner s23(DB);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,FINAL));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s23.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s23);

   Scanner s24(DEFINE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s24);

   Scanner s25(DISABLE);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s25);

   Scanner s26(DROP);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s26);

   Scanner s27(DUMP);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s27);

   Scanner s28(ENABLE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(END_TOKEN);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s29);

   Scanner s30(EXPORT);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s30);

   Scanner s31(FILE);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s31);

   Scanner s32(FILTER);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s32);

   Scanner s33(FOR);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s33);

   Scanner s34(FORCELOAD);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(9 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'a' ,8));
   s34.addTransition(ScannerTransEntry(8 ,'d' ,9));
   _scannerList.Insert(s34);

   Scanner s35(FROM);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s35);

   Scanner s36(GETDBSPEC);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(9 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s36.addTransition(ScannerTransEntry(6 ,'p' ,7));
   s36.addTransition(ScannerTransEntry(7 ,'e' ,8));
   s36.addTransition(ScannerTransEntry(8 ,'c' ,9));
   _scannerList.Insert(s36);

   Scanner s37(GETTSLIST);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(9 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s37.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s37.addTransition(ScannerTransEntry(7 ,'s' ,8));
   s37.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s37);

   Scanner s38(GETNODELIST);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(11 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'l' ,8));
   s38.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s38.addTransition(ScannerTransEntry(9 ,'s' ,10));
   s38.addTransition(ScannerTransEntry(10 ,'t' ,11));
   _scannerList.Insert(s38);

   Scanner s39(GETDBINFO);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(9 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s39.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s39);

   Scanner s40(IMPORT);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s40);

   Scanner s41(INITFILE);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(8 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s41.addTransition(ScannerTransEntry(6 ,'l' ,7));
   s41.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s41);

   Scanner s42(KEEP);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'k' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s42);

   Scanner s43(LIST);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s43);

   Scanner s44(LOCK);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'k' ,4));
   _scannerList.Insert(s44);

   Scanner s45(LOCKSTAT);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s45);

   Scanner s46(LOG);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'l' ,0));
   _scannerList.Insert(s46);

   Scanner s47(LOGFILE);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'f' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s47);

   Scanner s48(LOGMNG);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s48);

   Scanner s49(LOGNUM);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(6 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s49.addTransition(ScannerTransEntry(5 ,'m' ,6));
   _scannerList.Insert(s49);

   Scanner s50(LOGSIZE);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(7 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s50.addTransition(ScannerTransEntry(5 ,'z' ,6));
   s50.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s50);

   Scanner s51(IDENTIFIED);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(10 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s51.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s51.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s51.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s51.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s51.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s51);

   Scanner s52(UINDEX);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'x' ,6));
   _scannerList.Insert(s52);

   Scanner s53(MEDIATOR);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(8 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s53.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s53.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s53);

   Scanner s54(MESSAGE);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(7 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s54.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s54);

   Scanner s55(NODE);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s55);

   Scanner s56(NOLOGGING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(9 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s56.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s56.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s56.addTransition(ScannerTransEntry(8 ,'g' ,9));
   _scannerList.Insert(s56);

   Scanner s57(OBJECT);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'j' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s57);

   Scanner s58(OFF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s58);

   Scanner s59(ON);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s59);

   Scanner s60(PATH);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'h' ,4));
   _scannerList.Insert(s60);

   Scanner s61(PASSWD);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(6 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'w' ,5));
   s61.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s61);

   Scanner s62(PERMISSION);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(10 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s62.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s62.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s62.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s62.addTransition(ScannerTransEntry(8 ,'o' ,9));
   s62.addTransition(ScannerTransEntry(9 ,'n' ,10));
   _scannerList.Insert(s62);

   Scanner s63(PLAIN);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s63);

   Scanner s64(POOL);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s64);

   Scanner s65(PRIMARY);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(7 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s65.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s65);

   Scanner s66(QUIT);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s66);

   Scanner s67(RAWMODE);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s67);

   Scanner s68(RELOCATE);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(8 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s68.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s68.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s68.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s68);

   Scanner s69(REMOVE);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(6 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s69.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s69);

   Scanner s70(RECOVER);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(7 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s70.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s70.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s70.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s70);

   Scanner s71(RESET);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s71);

   Scanner s72(RETRIEVE);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(8 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s72.addTransition(ScannerTransEntry(6 ,'v' ,7));
   s72.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s72);

   Scanner s73(RIGHT);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(5 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s73.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s73);

   Scanner s74(ROLE);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s74);

   Scanner s75(SECONDARY);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(9 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s75.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s75.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s75.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s75.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s75.addTransition(ScannerTransEntry(8 ,'y' ,9));
   _scannerList.Insert(s75);

   Scanner s76(SESSION);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(7 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s76.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s76.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s76);

   Scanner s77(SET);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s77);

   Scanner s78(SETTSNODEINFO);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(11 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(12 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(13 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s78.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s78.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s78.addTransition(ScannerTransEntry(7 ,'d' ,8));
   s78.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s78.addTransition(ScannerTransEntry(9 ,'i' ,10));
   s78.addTransition(ScannerTransEntry(10 ,'n' ,11));
   s78.addTransition(ScannerTransEntry(11 ,'f' ,12));
   s78.addTransition(ScannerTransEntry(12 ,'o' ,13));
   _scannerList.Insert(s78);

   Scanner s79(SIZE);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'z' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s79);

   Scanner s80(SORTAREASIZE);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(11 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(12 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s80.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s80.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s80.addTransition(ScannerTransEntry(7 ,'a' ,8));
   s80.addTransition(ScannerTransEntry(8 ,'s' ,9));
   s80.addTransition(ScannerTransEntry(9 ,'i' ,10));
   s80.addTransition(ScannerTransEntry(10 ,'z' ,11));
   s80.addTransition(ScannerTransEntry(11 ,'e' ,12));
   _scannerList.Insert(s80);

   Scanner s81(STRUCTURE);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(9 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s81.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s81.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s81.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s81.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s81);

   Scanner s82(SHOW);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s82);

   Scanner s83(START_TOK);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s83);

   Scanner s84(STOP_TOK);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s84);

   Scanner s85(SWITCH);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(6 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s85.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s85.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s85);

   Scanner s86(SYNC);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s86);

   Scanner s87(SYSSIZE);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(7 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s87.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s87.addTransition(ScannerTransEntry(5 ,'z' ,6));
   s87.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s87);

   Scanner s88(TABLE);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(5 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s88.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s88);

   Scanner s89(TABLESET);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(8 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s89.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s89.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s89.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s89.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s89);

   Scanner s90(TIMEOUT);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(7 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s90.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s90.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s90.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s90);

   Scanner s91(THREAD);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(6 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s91.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s91);

   Scanner s92(THREADINFO);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(10 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s92.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s92.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s92.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s92.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s92.addTransition(ScannerTransEntry(8 ,'f' ,9));
   s92.addTransition(ScannerTransEntry(9 ,'o' ,10));
   _scannerList.Insert(s92);

   Scanner s93(TMPSIZE);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(7 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s93.addTransition(ScannerTransEntry(5 ,'z' ,6));
   s93.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s93);

   Scanner s94(TO);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,FINAL));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s94);

   Scanner s95(TRACE);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(5 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s95.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s95);

   Scanner s96(TRANSACTION);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(11 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s96.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s96.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s96.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s96.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s96.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s96.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s96);

   Scanner s97(TSROOT);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s97);

   Scanner s98(USER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'r' ,4));
   _scannerList.Insert(s98);

   Scanner s99(VERIFY);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s99);

   Scanner s100(WITH);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'h' ,4));
   _scannerList.Insert(s100);

   Scanner s101(XML);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'x' ,0));
   _scannerList.Insert(s101);

   Scanner s102(KSEP);
   s102.addState(ScannerStateEntry(0 ,START));
   s102.addState(ScannerStateEntry(1 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s102);

   Scanner s103(SEMICOLON);
   s103.addState(ScannerStateEntry(0 ,START));
   s103.addState(ScannerStateEntry(1 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s103);

   Scanner s104(EQU);
   s104.addState(ScannerStateEntry(0 ,START));
   s104.addState(ScannerStateEntry(1 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s104);

   Scanner s105(INTVAL);
   s105.addState(ScannerStateEntry(0 ,START));
   s105.addState(ScannerStateEntry(1 ,FINAL));
   s105.addState(ScannerStateEntry(2 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s105.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s105);

   Scanner s106(IDENTIFIER);
   s106.addState(ScannerStateEntry(0 ,START));
   s106.addState(ScannerStateEntry(1 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s106);

}
void CegoAdm::loadParser0()
{
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 87);
   _actionMap[358][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 84);
   _actionMap[360][NOLOGGING] = ActionEntry(SHIFT, 352);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 97);
   _jumpMap[360][LogOpt] = 363;
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[336][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 358);
   _actionMap[338][SEMICOLON] = ActionEntry(REDUCE, 116);
   _actionMap[338][PRIMARY] = ActionEntry(REDUCE, 116);
   _actionMap[338][SECONDARY] = ActionEntry(REDUCE, 116);
   _actionMap[338][SYSSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[338][TMPSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[338][LOGSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[338][LOGNUM] = ActionEntry(REDUCE, 116);
   _actionMap[338][APPSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[338][SORTAREASIZE] = ActionEntry(REDUCE, 116);
   _actionMap[338][TSROOT] = ActionEntry(REDUCE, 116);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 115);
   _actionMap[339][PRIMARY] = ActionEntry(REDUCE, 115);
   _actionMap[339][SECONDARY] = ActionEntry(REDUCE, 115);
   _actionMap[339][SYSSIZE] = ActionEntry(REDUCE, 115);
   _actionMap[339][TMPSIZE] = ActionEntry(REDUCE, 115);
   _actionMap[339][LOGSIZE] = ActionEntry(REDUCE, 115);
   _actionMap[339][LOGNUM] = ActionEntry(REDUCE, 115);
   _actionMap[339][APPSIZE] = ActionEntry(REDUCE, 115);
   _actionMap[339][SORTAREASIZE] = ActionEntry(REDUCE, 115);
   _actionMap[339][TSROOT] = ActionEntry(REDUCE, 115);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 114);
   _actionMap[340][PRIMARY] = ActionEntry(REDUCE, 114);
   _actionMap[340][SECONDARY] = ActionEntry(REDUCE, 114);
   _actionMap[340][SYSSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[340][TMPSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[340][LOGSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[340][LOGNUM] = ActionEntry(REDUCE, 114);
   _actionMap[340][APPSIZE] = ActionEntry(REDUCE, 114);
   _actionMap[340][SORTAREASIZE] = ActionEntry(REDUCE, 114);
   _actionMap[340][TSROOT] = ActionEntry(REDUCE, 114);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 110);
   _actionMap[341][PRIMARY] = ActionEntry(REDUCE, 110);
   _actionMap[341][SECONDARY] = ActionEntry(REDUCE, 110);
   _actionMap[341][SYSSIZE] = ActionEntry(REDUCE, 110);
   _actionMap[341][TMPSIZE] = ActionEntry(REDUCE, 110);
   _actionMap[341][LOGSIZE] = ActionEntry(REDUCE, 110);
   _actionMap[341][LOGNUM] = ActionEntry(REDUCE, 110);
   _actionMap[341][APPSIZE] = ActionEntry(REDUCE, 110);
   _actionMap[341][SORTAREASIZE] = ActionEntry(REDUCE, 110);
   _actionMap[341][TSROOT] = ActionEntry(REDUCE, 110);
}
void CegoAdm::loadParser1()
{
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[342][PRIMARY] = ActionEntry(REDUCE, 111);
   _actionMap[342][SECONDARY] = ActionEntry(REDUCE, 111);
   _actionMap[342][SYSSIZE] = ActionEntry(REDUCE, 111);
   _actionMap[342][TMPSIZE] = ActionEntry(REDUCE, 111);
   _actionMap[342][LOGSIZE] = ActionEntry(REDUCE, 111);
   _actionMap[342][LOGNUM] = ActionEntry(REDUCE, 111);
   _actionMap[342][APPSIZE] = ActionEntry(REDUCE, 111);
   _actionMap[342][SORTAREASIZE] = ActionEntry(REDUCE, 111);
   _actionMap[342][TSROOT] = ActionEntry(REDUCE, 111);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 117);
   _actionMap[343][PRIMARY] = ActionEntry(REDUCE, 117);
   _actionMap[343][SECONDARY] = ActionEntry(REDUCE, 117);
   _actionMap[343][SYSSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[343][TMPSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[343][LOGSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[343][LOGNUM] = ActionEntry(REDUCE, 117);
   _actionMap[343][APPSIZE] = ActionEntry(REDUCE, 117);
   _actionMap[343][SORTAREASIZE] = ActionEntry(REDUCE, 117);
   _actionMap[343][TSROOT] = ActionEntry(REDUCE, 117);
   _actionMap[344][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[344][PRIMARY] = ActionEntry(REDUCE, 112);
   _actionMap[344][SECONDARY] = ActionEntry(REDUCE, 112);
   _actionMap[344][SYSSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[344][TMPSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[344][LOGSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[344][LOGNUM] = ActionEntry(REDUCE, 112);
   _actionMap[344][APPSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[344][SORTAREASIZE] = ActionEntry(REDUCE, 112);
   _actionMap[344][TSROOT] = ActionEntry(REDUCE, 112);
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 113);
   _actionMap[345][PRIMARY] = ActionEntry(REDUCE, 113);
   _actionMap[345][SECONDARY] = ActionEntry(REDUCE, 113);
   _actionMap[345][SYSSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[345][TMPSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[345][LOGSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[345][LOGNUM] = ActionEntry(REDUCE, 113);
   _actionMap[345][APPSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[345][SORTAREASIZE] = ActionEntry(REDUCE, 113);
   _actionMap[345][TSROOT] = ActionEntry(REDUCE, 113);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 118);
   _actionMap[346][PRIMARY] = ActionEntry(REDUCE, 118);
   _actionMap[346][SECONDARY] = ActionEntry(REDUCE, 118);
   _actionMap[346][SYSSIZE] = ActionEntry(REDUCE, 118);
   _actionMap[346][TMPSIZE] = ActionEntry(REDUCE, 118);
   _actionMap[346][LOGSIZE] = ActionEntry(REDUCE, 118);
   _actionMap[346][LOGNUM] = ActionEntry(REDUCE, 118);
   _actionMap[346][APPSIZE] = ActionEntry(REDUCE, 118);
   _actionMap[346][SORTAREASIZE] = ActionEntry(REDUCE, 118);
   _actionMap[346][TSROOT] = ActionEntry(REDUCE, 118);
}
void CegoAdm::loadParser2()
{
   _actionMap[347][STRINGVAL] = ActionEntry(SHIFT, 359);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 86);
   _actionMap[349][STRINGVAL] = ActionEntry(SHIFT, 360);
   _actionMap[350][NOLOGGING] = ActionEntry(SHIFT, 352);
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 97);
   _jumpMap[350][LogOpt] = 361;
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[353][IDENTIFIER] = ActionEntry(SHIFT, 362);
   _actionMap[354][KSEP] = ActionEntry(REDUCE, 55);
   _actionMap[354][TO] = ActionEntry(REDUCE, 55);
   _actionMap[355][KSEP] = ActionEntry(REDUCE, 58);
   _actionMap[355][TO] = ActionEntry(REDUCE, 58);
   _actionMap[356][KSEP] = ActionEntry(REDUCE, 59);
   _actionMap[356][TO] = ActionEntry(REDUCE, 59);
   _actionMap[357][KSEP] = ActionEntry(REDUCE, 57);
   _actionMap[357][TO] = ActionEntry(REDUCE, 57);
   _actionMap[307][IDENTIFIER] = ActionEntry(SHIFT, 336);
   _actionMap[308][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[309][TO] = ActionEntry(SHIFT, 337);
   _actionMap[310][INTVAL] = ActionEntry(SHIFT, 338);
   _actionMap[311][INTVAL] = ActionEntry(SHIFT, 339);
   _actionMap[312][INTVAL] = ActionEntry(SHIFT, 340);
   _actionMap[313][STRINGVAL] = ActionEntry(SHIFT, 341);
   _actionMap[314][STRINGVAL] = ActionEntry(SHIFT, 342);
   _actionMap[315][INTVAL] = ActionEntry(SHIFT, 343);
   _actionMap[316][INTVAL] = ActionEntry(SHIFT, 344);
   _actionMap[317][INTVAL] = ActionEntry(SHIFT, 345);
   _actionMap[318][STRINGVAL] = ActionEntry(SHIFT, 346);
   _actionMap[319][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[320][TO] = ActionEntry(SHIFT, 347);
   _actionMap[321][STRINGVAL] = ActionEntry(SHIFT, 348);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 85);
   _actionMap[323][FROM] = ActionEntry(SHIFT, 349);
   _actionMap[324][STRINGVAL] = ActionEntry(SHIFT, 350);
   _actionMap[325][NOLOGGING] = ActionEntry(SHIFT, 352);
   _actionMap[325][SEMICOLON] = ActionEntry(REDUCE, 97);
   _jumpMap[325][LogOpt] = 351;
   _actionMap[326][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[327][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[330][ROLE] = ActionEntry(SHIFT, 353);
   _actionMap[331][TABLESET] = ActionEntry(SHIFT, 296);
   _actionMap[331][FILTER] = ActionEntry(SHIFT, 294);
   _actionMap[331][RIGHT] = ActionEntry(SHIFT, 295);
   _jumpMap[331][PermEntry] = 354;
   _actionMap[332][STRINGVAL] = ActionEntry(SHIFT, 355);
   _actionMap[333][IDENTIFIER] = ActionEntry(SHIFT, 356);
   _actionMap[334][IDENTIFIER] = ActionEntry(SHIFT, 357);
}
void CegoAdm::loadParser3()
{
   _actionMap[335][MESSAGE] = ActionEntry(REDUCE, 92);
   _actionMap[335][KEEP] = ActionEntry(REDUCE, 92);
   _actionMap[335][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[253][TO] = ActionEntry(SHIFT, 307);
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 308);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 309);
   _actionMap[256][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[257][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[258][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[258][PRIMARY] = ActionEntry(REDUCE, 108);
   _actionMap[258][SECONDARY] = ActionEntry(REDUCE, 108);
   _actionMap[258][SYSSIZE] = ActionEntry(REDUCE, 108);
   _actionMap[258][TMPSIZE] = ActionEntry(REDUCE, 108);
   _actionMap[258][LOGSIZE] = ActionEntry(REDUCE, 108);
   _actionMap[258][LOGNUM] = ActionEntry(REDUCE, 108);
   _actionMap[258][APPSIZE] = ActionEntry(REDUCE, 108);
   _actionMap[258][SORTAREASIZE] = ActionEntry(REDUCE, 108);
   _actionMap[258][TSROOT] = ActionEntry(REDUCE, 108);
   _actionMap[259][EQU] = ActionEntry(SHIFT, 310);
   _actionMap[260][EQU] = ActionEntry(SHIFT, 311);
   _actionMap[261][EQU] = ActionEntry(SHIFT, 312);
   _actionMap[262][EQU] = ActionEntry(SHIFT, 313);
   _actionMap[263][EQU] = ActionEntry(SHIFT, 314);
   _actionMap[264][EQU] = ActionEntry(SHIFT, 315);
   _actionMap[265][EQU] = ActionEntry(SHIFT, 316);
   _actionMap[266][EQU] = ActionEntry(SHIFT, 317);
   _actionMap[267][EQU] = ActionEntry(SHIFT, 318);
   _actionMap[268][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[269][SEMICOLON] = ActionEntry(REDUCE, 125);
   _actionMap[270][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[271][KEEP] = ActionEntry(SHIFT, 272);
   _actionMap[271][SEMICOLON] = ActionEntry(REDUCE, 91);
   _jumpMap[271][KeepTicketOpt] = 270;
   _actionMap[272][TSTICKET] = ActionEntry(SHIFT, 319);
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 320);
   _actionMap[274][TO] = ActionEntry(SHIFT, 321);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 322);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 323);
   _actionMap[277][FROM] = ActionEntry(SHIFT, 324);
   _actionMap[278][STRINGVAL] = ActionEntry(SHIFT, 325);
   _actionMap[279][STRINGVAL] = ActionEntry(SHIFT, 326);
   _actionMap[280][STRINGVAL] = ActionEntry(SHIFT, 327);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 328);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 329);
   _actionMap[284][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 119);
   _actionMap[286][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[288][SEMICOLON] = ActionEntry(REDUCE, 73);
}
void CegoAdm::loadParser4()
{
   _actionMap[289][MESSAGE] = ActionEntry(REDUCE, 94);
   _actionMap[289][KEEP] = ActionEntry(REDUCE, 94);
   _actionMap[289][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[290][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[291][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[292][TO] = ActionEntry(SHIFT, 330);
   _actionMap[292][KSEP] = ActionEntry(SHIFT, 331);
   _actionMap[293][KSEP] = ActionEntry(REDUCE, 56);
   _actionMap[293][TO] = ActionEntry(REDUCE, 56);
   _actionMap[294][EQU] = ActionEntry(SHIFT, 332);
   _actionMap[295][EQU] = ActionEntry(SHIFT, 333);
   _actionMap[296][EQU] = ActionEntry(SHIFT, 334);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[298][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[299][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[300][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[301][SEMICOLON] = ActionEntry(REDUCE, 123);
   _actionMap[302][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[302][CLEANUP] = ActionEntry(REDUCE, 100);
   _actionMap[302][FORCELOAD] = ActionEntry(REDUCE, 100);
   _actionMap[303][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[303][CLEANUP] = ActionEntry(REDUCE, 102);
   _actionMap[303][FORCELOAD] = ActionEntry(REDUCE, 102);
   _actionMap[304][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[304][CLEANUP] = ActionEntry(REDUCE, 103);
   _actionMap[304][FORCELOAD] = ActionEntry(REDUCE, 103);
   _actionMap[305][KEEP] = ActionEntry(REDUCE, 98);
   _actionMap[305][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[306][TIMEOUT] = ActionEntry(SHIFT, 235);
   _actionMap[306][MESSAGE] = ActionEntry(REDUCE, 95);
   _actionMap[306][KEEP] = ActionEntry(REDUCE, 95);
   _actionMap[306][SEMICOLON] = ActionEntry(REDUCE, 95);
   _jumpMap[306][TimeoutOpt] = 335;
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[195][STRINGVAL] = ActionEntry(SHIFT, 253);
   _actionMap[196][BY] = ActionEntry(SHIFT, 254);
   _actionMap[197][SIZE] = ActionEntry(SHIFT, 255);
   _actionMap[198][IDENTIFIER] = ActionEntry(SHIFT, 256);
   _actionMap[199][MESSAGE] = ActionEntry(SHIFT, 249);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 99);
   _jumpMap[199][MsgOption] = 257;
   _actionMap[200][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[200][PRIMARY] = ActionEntry(SHIFT, 262);
   _actionMap[200][SECONDARY] = ActionEntry(SHIFT, 263);
   _actionMap[200][SYSSIZE] = ActionEntry(SHIFT, 265);
   _actionMap[200][TMPSIZE] = ActionEntry(SHIFT, 266);
   _actionMap[200][LOGSIZE] = ActionEntry(SHIFT, 261);
   _actionMap[200][LOGNUM] = ActionEntry(SHIFT, 260);
   _actionMap[200][APPSIZE] = ActionEntry(SHIFT, 259);
   _actionMap[200][SORTAREASIZE] = ActionEntry(SHIFT, 264);
}
void CegoAdm::loadParser5()
{
   _actionMap[200][TSROOT] = ActionEntry(SHIFT, 267);
   _jumpMap[200][Attr] = 258;
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[203][IDENTIFIER] = ActionEntry(SHIFT, 268);
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 269);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[207][MESSAGE] = ActionEntry(SHIFT, 249);
   _actionMap[207][KEEP] = ActionEntry(REDUCE, 99);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 99);
   _jumpMap[207][MsgOption] = 271;
   _jumpMap[207][KeepTicketOpt] = 270;
   _actionMap[208][FROM] = ActionEntry(SHIFT, 273);
   _actionMap[209][IDENTIFIER] = ActionEntry(SHIFT, 274);
   _actionMap[210][TO] = ActionEntry(SHIFT, 275);
   _actionMap[211][TO] = ActionEntry(SHIFT, 276);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 277);
   _actionMap[213][FROM] = ActionEntry(SHIFT, 278);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[221][BY] = ActionEntry(SHIFT, 279);
   _actionMap[222][TO] = ActionEntry(SHIFT, 280);
   _actionMap[223][TO] = ActionEntry(SHIFT, 281);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 282);
   _actionMap[225][ROLE] = ActionEntry(SHIFT, 283);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 284);
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 285);
   _actionMap[229][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[230][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 286);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 287);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 288);
   _actionMap[234][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 289);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 290);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 291);
   _actionMap[238][TABLESET] = ActionEntry(SHIFT, 296);
   _actionMap[238][FILTER] = ActionEntry(SHIFT, 294);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 295);
   _jumpMap[238][PermEntry] = 293;
   _jumpMap[238][PermList] = 292;
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 297);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 298);
}
void CegoAdm::loadParser6()
{
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 299);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 300);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 301);
   _actionMap[244][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[244][CLEANUP] = ActionEntry(SHIFT, 303);
   _actionMap[244][FORCELOAD] = ActionEntry(SHIFT, 304);
   _jumpMap[244][StartOpt] = 302;
   _actionMap[245][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[246][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[247][MESSAGE] = ActionEntry(SHIFT, 249);
   _actionMap[247][SEMICOLON] = ActionEntry(REDUCE, 99);
   _jumpMap[247][MsgOption] = 248;
   _actionMap[248][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 305);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 306);
   _actionMap[251][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[252][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[124][INTVAL] = ActionEntry(SHIFT, 194);
   _actionMap[125][PATH] = ActionEntry(SHIFT, 195);
   _actionMap[126][IDENTIFIED] = ActionEntry(SHIFT, 196);
   _actionMap[127][STRINGVAL] = ActionEntry(SHIFT, 197);
   _actionMap[128][TO] = ActionEntry(SHIFT, 198);
   _actionMap[129][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _actionMap[130][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[131][SEMICOLON] = ActionEntry(REDUCE, 124);
   _actionMap[132][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[133][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[134][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[135][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[136][PRIMARY] = ActionEntry(REDUCE, 109);
   _actionMap[136][SECONDARY] = ActionEntry(REDUCE, 109);
   _actionMap[136][SYSSIZE] = ActionEntry(REDUCE, 109);
   _actionMap[136][TMPSIZE] = ActionEntry(REDUCE, 109);
   _actionMap[136][LOGSIZE] = ActionEntry(REDUCE, 109);
   _actionMap[136][LOGNUM] = ActionEntry(REDUCE, 109);
   _actionMap[136][APPSIZE] = ActionEntry(REDUCE, 109);
   _actionMap[136][SORTAREASIZE] = ActionEntry(REDUCE, 109);
   _actionMap[136][TSROOT] = ActionEntry(REDUCE, 109);
   _actionMap[136][SEMICOLON] = ActionEntry(REDUCE, 109);
   _jumpMap[136][AttrList] = 200;
   _actionMap[137][IDENTIFIER] = ActionEntry(SHIFT, 201);
   _actionMap[138][IDENTIFIER] = ActionEntry(SHIFT, 202);
   _actionMap[139][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[140][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[142][FOR] = ActionEntry(SHIFT, 203);
   _actionMap[143][FOR] = ActionEntry(SHIFT, 204);
   _actionMap[144][IDENTIFIER] = ActionEntry(SHIFT, 205);
   _actionMap[145][IDENTIFIER] = ActionEntry(SHIFT, 206);
   _actionMap[146][IDENTIFIER] = ActionEntry(SHIFT, 207);
}
void CegoAdm::loadParser7()
{
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 208);
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 210);
   _actionMap[148][STRUCTURE] = ActionEntry(SHIFT, 209);
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 211);
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 213);
   _actionMap[150][STRUCTURE] = ActionEntry(SHIFT, 212);
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 214);
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 215);
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 216);
   _actionMap[154][IDENTIFIER] = ActionEntry(SHIFT, 217);
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 218);
   _actionMap[156][IDENTIFIER] = ActionEntry(SHIFT, 219);
   _actionMap[157][IDENTIFIER] = ActionEntry(SHIFT, 220);
   _actionMap[158][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[159][IDENTIFIED] = ActionEntry(SHIFT, 221);
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 222);
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 223);
   _actionMap[162][FROM] = ActionEntry(SHIFT, 224);
   _actionMap[163][FROM] = ActionEntry(SHIFT, 225);
   _actionMap[164][FROM] = ActionEntry(SHIFT, 226);
   _actionMap[165][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[166][TO] = ActionEntry(SHIFT, 228);
   _actionMap[166][SEMICOLON] = ActionEntry(REDUCE, 120);
   _jumpMap[166][PitOption] = 227;
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 229);
   _actionMap[168][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[169][STRINGVAL] = ActionEntry(SHIFT, 230);
   _actionMap[170][FOR] = ActionEntry(SHIFT, 231);
   _actionMap[171][FOR] = ActionEntry(SHIFT, 232);
   _actionMap[172][FOR] = ActionEntry(SHIFT, 233);
   _actionMap[173][TIMEOUT] = ActionEntry(SHIFT, 235);
   _actionMap[173][SEMICOLON] = ActionEntry(REDUCE, 95);
   _jumpMap[173][TimeoutOpt] = 234;
   _actionMap[174][FOR] = ActionEntry(SHIFT, 236);
   _actionMap[175][FOR] = ActionEntry(SHIFT, 237);
   _actionMap[176][WITH] = ActionEntry(SHIFT, 238);
   _actionMap[177][FOR] = ActionEntry(SHIFT, 239);
   _actionMap[178][FOR] = ActionEntry(SHIFT, 240);
   _actionMap[179][FOR] = ActionEntry(SHIFT, 241);
   _actionMap[180][FOR] = ActionEntry(SHIFT, 242);
   _actionMap[181][IDENTIFIER] = ActionEntry(SHIFT, 243);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[184][CLEANUP] = ActionEntry(REDUCE, 101);
   _actionMap[184][FORCELOAD] = ActionEntry(REDUCE, 101);
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 101);
   _jumpMap[184][StartOptList] = 244;
   _actionMap[185][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 245);
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 246);
}
void CegoAdm::loadParser8()
{
   _actionMap[188][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[189][WITH] = ActionEntry(SHIFT, 250);
   _actionMap[189][MESSAGE] = ActionEntry(REDUCE, 93);
   _actionMap[189][KEEP] = ActionEntry(REDUCE, 93);
   _actionMap[189][SEMICOLON] = ActionEntry(REDUCE, 93);
   _jumpMap[189][MsgOption] = 248;
   _jumpMap[189][SyncCmdOption] = 247;
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[191][IDENTIFIER] = ActionEntry(SHIFT, 251);
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 252);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[39][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[40][THREAD] = ActionEntry(SHIFT, 124);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 125);
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 126);
   _actionMap[43][DATAFILE] = ActionEntry(SHIFT, 127);
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 128);
   _actionMap[45][FOR] = ActionEntry(SHIFT, 129);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 130);
   _actionMap[47][STRINGVAL] = ActionEntry(SHIFT, 131);
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 132);
   _actionMap[49][IDENTIFIER] = ActionEntry(SHIFT, 133);
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 134);
   _actionMap[51][IDENTIFIER] = ActionEntry(SHIFT, 135);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 136);
   _actionMap[53][FOR] = ActionEntry(SHIFT, 137);
   _actionMap[54][FOR] = ActionEntry(SHIFT, 138);
   _actionMap[55][IDENTIFIER] = ActionEntry(SHIFT, 139);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 140);
   _actionMap[57][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 142);
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 143);
   _actionMap[60][FOR] = ActionEntry(SHIFT, 144);
   _actionMap[61][FOR] = ActionEntry(SHIFT, 145);
   _actionMap[62][FOR] = ActionEntry(SHIFT, 146);
   _actionMap[63][TABLESET] = ActionEntry(SHIFT, 148);
   _actionMap[63][TABLE] = ActionEntry(SHIFT, 147);
   _actionMap[64][TABLESET] = ActionEntry(REDUCE, 105);
   _actionMap[64][TABLE] = ActionEntry(REDUCE, 105);
   _actionMap[65][TABLESET] = ActionEntry(REDUCE, 106);
   _actionMap[65][TABLE] = ActionEntry(REDUCE, 106);
   _actionMap[66][TABLESET] = ActionEntry(REDUCE, 104);
   _actionMap[66][TABLE] = ActionEntry(REDUCE, 104);
   _actionMap[67][TABLESET] = ActionEntry(SHIFT, 150);
   _actionMap[67][TABLE] = ActionEntry(SHIFT, 149);
   _actionMap[68][FOR] = ActionEntry(SHIFT, 151);
   _actionMap[69][FOR] = ActionEntry(SHIFT, 152);
   _actionMap[70][FOR] = ActionEntry(SHIFT, 153);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[72][FOR] = ActionEntry(SHIFT, 154);
}
void CegoAdm::loadParser9()
{
   _actionMap[73][FOR] = ActionEntry(SHIFT, 155);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[75][FOR] = ActionEntry(SHIFT, 156);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[80][FOR] = ActionEntry(SHIFT, 157);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[82][LOCK] = ActionEntry(SHIFT, 158);
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 159);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[86][FOR] = ActionEntry(SHIFT, 160);
   _actionMap[87][FOR] = ActionEntry(SHIFT, 161);
   _actionMap[88][IDENTIFIER] = ActionEntry(SHIFT, 162);
   _actionMap[89][IDENTIFIER] = ActionEntry(SHIFT, 163);
   _actionMap[90][IDENTIFIER] = ActionEntry(SHIFT, 164);
   _actionMap[91][IDENTIFIER] = ActionEntry(SHIFT, 165);
   _actionMap[92][IDENTIFIER] = ActionEntry(SHIFT, 166);
   _actionMap[93][FOR] = ActionEntry(SHIFT, 167);
   _actionMap[94][IDENTIFIER] = ActionEntry(SHIFT, 168);
   _actionMap[95][FROM] = ActionEntry(SHIFT, 169);
   _actionMap[96][INTVAL] = ActionEntry(SHIFT, 170);
   _actionMap[97][INTVAL] = ActionEntry(SHIFT, 171);
   _actionMap[98][STRINGVAL] = ActionEntry(SHIFT, 172);
   _actionMap[99][STRINGVAL] = ActionEntry(SHIFT, 173);
   _actionMap[100][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[101][INTVAL] = ActionEntry(SHIFT, 175);
   _actionMap[102][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[103][INTVAL] = ActionEntry(SHIFT, 177);
   _actionMap[104][INTVAL] = ActionEntry(SHIFT, 178);
   _actionMap[105][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[106][STRINGVAL] = ActionEntry(SHIFT, 180);
   _actionMap[107][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[108][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[109][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[110][IDENTIFIER] = ActionEntry(SHIFT, 182);
   _actionMap[111][IDENTIFIER] = ActionEntry(SHIFT, 183);
   _actionMap[112][IDENTIFIER] = ActionEntry(SHIFT, 184);
   _actionMap[113][IDENTIFIER] = ActionEntry(SHIFT, 185);
   _actionMap[114][FOR] = ActionEntry(SHIFT, 186);
   _actionMap[115][FOR] = ActionEntry(SHIFT, 187);
   _actionMap[116][IDENTIFIER] = ActionEntry(SHIFT, 188);
   _actionMap[117][IDENTIFIER] = ActionEntry(SHIFT, 189);
   _actionMap[118][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[119][INTVAL] = ActionEntry(SHIFT, 190);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[120][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[121][USER] = ActionEntry(SHIFT, 191);
}
void CegoAdm::loadParser10()
{
   _actionMap[122][USER] = ActionEntry(SHIFT, 192);
   _actionMap[123][IDENTIFIER] = ActionEntry(SHIFT, 193);
   _actionMap[1][SEMICOLON] = ActionEntry(SHIFT, 39);
   _actionMap[2][DB] = ActionEntry(SHIFT, 40);
   _actionMap[3][IDENTIFIER] = ActionEntry(SHIFT, 43);
   _actionMap[3][USER] = ActionEntry(SHIFT, 42);
   _actionMap[3][ARCHLOG] = ActionEntry(SHIFT, 41);
   _actionMap[4][ROLE] = ActionEntry(SHIFT, 44);
   _actionMap[5][BACKUP] = ActionEntry(SHIFT, 45);
   _actionMap[6][TABLESET] = ActionEntry(SHIFT, 46);
   _actionMap[7][TABLESET] = ActionEntry(SHIFT, 48);
   _actionMap[7][FILE] = ActionEntry(SHIFT, 47);
   _actionMap[8][TABLESET] = ActionEntry(SHIFT, 49);
   _actionMap[9][TABLESET] = ActionEntry(SHIFT, 51);
   _actionMap[9][ROLE] = ActionEntry(SHIFT, 50);
   _actionMap[10][TABLESET] = ActionEntry(SHIFT, 52);
   _actionMap[11][ARCHLOG] = ActionEntry(SHIFT, 53);
   _actionMap[11][AUTOCORRECT] = ActionEntry(SHIFT, 54);
   _actionMap[12][TABLESET] = ActionEntry(SHIFT, 56);
   _actionMap[12][USER] = ActionEntry(SHIFT, 57);
   _actionMap[12][ROLE] = ActionEntry(SHIFT, 55);
   _actionMap[13][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[13][UINDEX] = ActionEntry(SHIFT, 58);
   _actionMap[14][ARCHLOG] = ActionEntry(SHIFT, 60);
   _actionMap[14][AUTOCORRECT] = ActionEntry(SHIFT, 61);
   _actionMap[15][BACKUP] = ActionEntry(SHIFT, 62);
   _actionMap[16][XML] = ActionEntry(SHIFT, 66);
   _actionMap[16][BINARY] = ActionEntry(SHIFT, 64);
   _actionMap[16][PLAIN] = ActionEntry(SHIFT, 65);
   _actionMap[16][TABLE] = ActionEntry(REDUCE, 107);
   _actionMap[16][TABLESET] = ActionEntry(REDUCE, 107);
   _jumpMap[16][XPMode] = 63;
   _actionMap[17][SEMICOLON] = ActionEntry(REDUCE, 121);
   _actionMap[18][SEMICOLON] = ActionEntry(REDUCE, 122);
   _actionMap[19][XML] = ActionEntry(SHIFT, 66);
   _actionMap[19][BINARY] = ActionEntry(SHIFT, 64);
   _actionMap[19][PLAIN] = ActionEntry(SHIFT, 65);
   _actionMap[19][TABLE] = ActionEntry(REDUCE, 107);
   _actionMap[19][TABLESET] = ActionEntry(REDUCE, 107);
   _jumpMap[19][XPMode] = 67;
   _actionMap[20][POOL] = ActionEntry(SHIFT, 76);
   _actionMap[20][IDENTIFIER] = ActionEntry(SHIFT, 82);
   _actionMap[20][TABLESET] = ActionEntry(SHIFT, 79);
   _actionMap[20][DATAFILE] = ActionEntry(SHIFT, 72);
   _actionMap[20][ARCHLOG] = ActionEntry(SHIFT, 68);
   _actionMap[20][LOGFILE] = ActionEntry(SHIFT, 73);
   _actionMap[20][OBJECT] = ActionEntry(SHIFT, 75);
   _actionMap[20][NODE] = ActionEntry(SHIFT, 74);
   _actionMap[20][SESSION] = ActionEntry(SHIFT, 78);
   _actionMap[20][BUFILE] = ActionEntry(SHIFT, 69);
}
void CegoAdm::loadParser11()
{
   _actionMap[20][BUSTAT] = ActionEntry(SHIFT, 70);
   _actionMap[20][COPY] = ActionEntry(SHIFT, 71);
   _actionMap[20][TRANSACTION] = ActionEntry(SHIFT, 80);
   _actionMap[20][USER] = ActionEntry(SHIFT, 81);
   _actionMap[20][ROLE] = ActionEntry(SHIFT, 77);
   _actionMap[21][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[22][USER] = ActionEntry(SHIFT, 83);
   _actionMap[23][ON] = ActionEntry(SHIFT, 85);
   _actionMap[23][OFF] = ActionEntry(SHIFT, 84);
   _actionMap[24][SECONDARY] = ActionEntry(SHIFT, 87);
   _actionMap[24][MEDIATOR] = ActionEntry(SHIFT, 86);
   _actionMap[25][TABLESET] = ActionEntry(SHIFT, 91);
   _actionMap[25][ROLE] = ActionEntry(SHIFT, 90);
   _actionMap[25][PERMISSION] = ActionEntry(SHIFT, 89);
   _actionMap[25][ARCHLOG] = ActionEntry(SHIFT, 88);
   _actionMap[26][TABLESET] = ActionEntry(SHIFT, 92);
   _actionMap[27][BUSTAT] = ActionEntry(SHIFT, 93);
   _actionMap[27][TABLESET] = ActionEntry(SHIFT, 94);
   _actionMap[28][TABLESET] = ActionEntry(SHIFT, 95);
   _actionMap[29][PERMISSION] = ActionEntry(SHIFT, 102);
   _actionMap[29][LOGMNG] = ActionEntry(SHIFT, 99);
   _actionMap[29][INITFILE] = ActionEntry(SHIFT, 98);
   _actionMap[29][CHECKPOINT] = ActionEntry(SHIFT, 97);
   _actionMap[29][SYSSIZE] = ActionEntry(SHIFT, 104);
   _actionMap[29][TMPSIZE] = ActionEntry(SHIFT, 105);
   _actionMap[29][APPSIZE] = ActionEntry(SHIFT, 96);
   _actionMap[29][TSROOT] = ActionEntry(SHIFT, 106);
   _actionMap[29][LOGNUM] = ActionEntry(SHIFT, 100);
   _actionMap[29][LOGSIZE] = ActionEntry(SHIFT, 101);
   _actionMap[29][SORTAREASIZE] = ActionEntry(SHIFT, 103);
   _actionMap[30][IDENTIFIER] = ActionEntry(SHIFT, 107);
   _actionMap[31][POOL] = ActionEntry(SHIFT, 109);
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 111);
   _actionMap[31][ROLE] = ActionEntry(SHIFT, 110);
   _actionMap[31][LOGMNG] = ActionEntry(SHIFT, 108);
   _actionMap[32][TABLESET] = ActionEntry(SHIFT, 112);
   _actionMap[33][TABLESET] = ActionEntry(SHIFT, 113);
   _actionMap[34][TABLESET] = ActionEntry(SHIFT, 116);
   _actionMap[34][SECONDARY] = ActionEntry(SHIFT, 115);
   _actionMap[34][MEDIATOR] = ActionEntry(SHIFT, 114);
   _actionMap[35][TABLESET] = ActionEntry(SHIFT, 117);
   _actionMap[36][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[36][DB] = ActionEntry(SHIFT, 119);
   _actionMap[36][ADM] = ActionEntry(SHIFT, 118);
   _actionMap[36][LOG] = ActionEntry(SHIFT, 120);
   _actionMap[37][ON] = ActionEntry(SHIFT, 122);
   _actionMap[37][OFF] = ActionEntry(SHIFT, 121);
   _actionMap[38][TABLESET] = ActionEntry(SHIFT, 123);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 31);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 20);
}
void CegoAdm::loadParser12()
{
   _actionMap[0][RAWMODE] = ActionEntry(SHIFT, 23);
   _actionMap[0][RESET] = ActionEntry(SHIFT, 27);
   _actionMap[0][THREADINFO] = ActionEntry(SHIFT, 36);
   _actionMap[0][LOCKSTAT] = ActionEntry(SHIFT, 21);
   _actionMap[0][ABORT] = ActionEntry(SHIFT, 2);
   _actionMap[0][RETRIEVE] = ActionEntry(SHIFT, 28);
   _actionMap[0][DEFINE] = ActionEntry(SHIFT, 10);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 9);
   _actionMap[0][START_TOK] = ActionEntry(SHIFT, 32);
   _actionMap[0][STOP_TOK] = ActionEntry(SHIFT, 33);
   _actionMap[0][COPY] = ActionEntry(SHIFT, 7);
   _actionMap[0][SWITCH] = ActionEntry(SHIFT, 34);
   _actionMap[0][RELOCATE] = ActionEntry(SHIFT, 24);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 12);
   _actionMap[0][REMOVE] = ActionEntry(SHIFT, 25);
   _actionMap[0][ADD] = ActionEntry(SHIFT, 3);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 6);
   _actionMap[0][VERIFY] = ActionEntry(SHIFT, 38);
   _actionMap[0][CORRECT] = ActionEntry(SHIFT, 8);
   _actionMap[0][PASSWD] = ActionEntry(SHIFT, 22);
   _actionMap[0][ASSIGN] = ActionEntry(SHIFT, 4);
   _actionMap[0][SET] = ActionEntry(SHIFT, 29);
   _actionMap[0][TRACE] = ActionEntry(SHIFT, 37);
   _actionMap[0][ENABLE] = ActionEntry(SHIFT, 14);
   _actionMap[0][DISABLE] = ActionEntry(SHIFT, 11);
   _actionMap[0][BEGIN_TOKEN] = ActionEntry(SHIFT, 5);
   _actionMap[0][END_TOKEN] = ActionEntry(SHIFT, 15);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 35);
   _actionMap[0][RECOVER] = ActionEntry(SHIFT, 26);
   _actionMap[0][EXPORT] = ActionEntry(SHIFT, 16);
   _actionMap[0][IMPORT] = ActionEntry(SHIFT, 19);
   _actionMap[0][GETDBSPEC] = ActionEntry(SHIFT, 17);
   _actionMap[0][GETDBINFO] = ActionEntry(SHIFT, 18);
   _actionMap[0][SETTSNODEINFO] = ActionEntry(SHIFT, 30);
   _actionMap[0][DUMP] = ActionEntry(SHIFT, 13);
   _jumpMap[0][Statement] = 1;
}
void CegoAdm::loadParser13()
{
   _prodInfo.Insert(ProdEntry(126, Statement, 5));
   _prodInfo.Insert(ProdEntry(125, Statement, 5));
   _prodInfo.Insert(ProdEntry(124, Statement, 3));
   _prodInfo.Insert(ProdEntry(123, Statement, 5));
   _prodInfo.Insert(ProdEntry(122, Statement, 1));
   _prodInfo.Insert(ProdEntry(121, Statement, 1));
   _prodInfo.Insert(ProdEntry(120, PitOption, 0));
   _prodInfo.Insert(ProdEntry(119, PitOption, 2));
   _prodInfo.Insert(ProdEntry(118, Attr, 3));
   _prodInfo.Insert(ProdEntry(117, Attr, 3));
   _prodInfo.Insert(ProdEntry(116, Attr, 3));
   _prodInfo.Insert(ProdEntry(115, Attr, 3));
   _prodInfo.Insert(ProdEntry(114, Attr, 3));
   _prodInfo.Insert(ProdEntry(113, Attr, 3));
   _prodInfo.Insert(ProdEntry(112, Attr, 3));
   _prodInfo.Insert(ProdEntry(111, Attr, 3));
   _prodInfo.Insert(ProdEntry(110, Attr, 3));
   _prodInfo.Insert(ProdEntry(109, AttrList, 0));
   _prodInfo.Insert(ProdEntry(108, AttrList, 2));
   _prodInfo.Insert(ProdEntry(107, XPMode, 0));
   _prodInfo.Insert(ProdEntry(106, XPMode, 1));
   _prodInfo.Insert(ProdEntry(105, XPMode, 1));
   _prodInfo.Insert(ProdEntry(104, XPMode, 1));
   _prodInfo.Insert(ProdEntry(103, StartOpt, 1));
   _prodInfo.Insert(ProdEntry(102, StartOpt, 1));
   _prodInfo.Insert(ProdEntry(101, StartOptList, 0));
   _prodInfo.Insert(ProdEntry(100, StartOptList, 2));
   _prodInfo.Insert(ProdEntry(99, MsgOption, 0));
   _prodInfo.Insert(ProdEntry(98, MsgOption, 2));
   _prodInfo.Insert(ProdEntry(97, LogOpt, 0));
   _prodInfo.Insert(ProdEntry(96, LogOpt, 1));
   _prodInfo.Insert(ProdEntry(95, TimeoutOpt, 0));
   _prodInfo.Insert(ProdEntry(94, TimeoutOpt, 2));
   _prodInfo.Insert(ProdEntry(93, SyncCmdOption, 0));
   _prodInfo.Insert(ProdEntry(92, SyncCmdOption, 3));
   _prodInfo.Insert(ProdEntry(91, KeepTicketOpt, 0));
   _prodInfo.Insert(ProdEntry(90, KeepTicketOpt, 2));
   _prodInfo.Insert(ProdEntry(89, Statement, 8));
   _prodInfo.Insert(ProdEntry(88, Statement, 7));
   _prodInfo.Insert(ProdEntry(87, Statement, 9));
   _prodInfo.Insert(ProdEntry(86, Statement, 7));
   _prodInfo.Insert(ProdEntry(85, Statement, 6));
   _prodInfo.Insert(ProdEntry(84, Statement, 8));
   _prodInfo.Insert(ProdEntry(83, Statement, 4));
   _prodInfo.Insert(ProdEntry(82, Statement, 4));
   _prodInfo.Insert(ProdEntry(81, Statement, 5));
   _prodInfo.Insert(ProdEntry(80, Statement, 5));
   _prodInfo.Insert(ProdEntry(79, Statement, 5));
   _prodInfo.Insert(ProdEntry(78, Statement, 5));
   _prodInfo.Insert(ProdEntry(77, Statement, 5));
   _prodInfo.Insert(ProdEntry(76, Statement, 5));
   _prodInfo.Insert(ProdEntry(75, Statement, 5));
   _prodInfo.Insert(ProdEntry(74, Statement, 5));
   _prodInfo.Insert(ProdEntry(73, Statement, 5));
   _prodInfo.Insert(ProdEntry(72, Statement, 2));
   _prodInfo.Insert(ProdEntry(71, Statement, 4));
   _prodInfo.Insert(ProdEntry(70, Statement, 4));
   _prodInfo.Insert(ProdEntry(69, Statement, 5));
   _prodInfo.Insert(ProdEntry(68, Statement, 6));
   _prodInfo.Insert(ProdEntry(67, Statement, 5));
   _prodInfo.Insert(ProdEntry(66, Statement, 5));
   _prodInfo.Insert(ProdEntry(65, Statement, 7));
   _prodInfo.Insert(ProdEntry(64, Statement, 4));
   _prodInfo.Insert(ProdEntry(63, Statement, 4));
   _prodInfo.Insert(ProdEntry(62, Statement, 4));
   _prodInfo.Insert(ProdEntry(61, Statement, 4));
   _prodInfo.Insert(ProdEntry(60, Statement, 6));
   _prodInfo.Insert(ProdEntry(59, PermEntry, 3));
   _prodInfo.Insert(ProdEntry(58, PermEntry, 3));
   _prodInfo.Insert(ProdEntry(57, PermEntry, 3));
   _prodInfo.Insert(ProdEntry(56, PermList, 1));
   _prodInfo.Insert(ProdEntry(55, PermList, 3));
   _prodInfo.Insert(ProdEntry(54, Statement, 8));
   _prodInfo.Insert(ProdEntry(53, Statement, 3));
   _prodInfo.Insert(ProdEntry(52, Statement, 3));
   _prodInfo.Insert(ProdEntry(51, Statement, 3));
   _prodInfo.Insert(ProdEntry(50, Statement, 2));
   _prodInfo.Insert(ProdEntry(49, Statement, 5));
   _prodInfo.Insert(ProdEntry(48, Statement, 5));
   _prodInfo.Insert(ProdEntry(47, Statement, 6));
   _prodInfo.Insert(ProdEntry(46, Statement, 3));
   _prodInfo.Insert(ProdEntry(45, Statement, 2));
   _prodInfo.Insert(ProdEntry(44, Statement, 6));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 3));
   _prodInfo.Insert(ProdEntry(40, Statement, 8));
   _prodInfo.Insert(ProdEntry(39, Statement, 3));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 6));
   _prodInfo.Insert(ProdEntry(35, Statement, 6));
   _prodInfo.Insert(ProdEntry(34, Statement, 4));
   _prodInfo.Insert(ProdEntry(33, Statement, 4));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 4));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 4));
   _prodInfo.Insert(ProdEntry(26, Statement, 4));
   _prodInfo.Insert(ProdEntry(25, Statement, 4));
   _prodInfo.Insert(ProdEntry(24, Statement, 4));
   _prodInfo.Insert(ProdEntry(23, Statement, 2));
   _prodInfo.Insert(ProdEntry(22, Statement, 2));
   _prodInfo.Insert(ProdEntry(21, Statement, 2));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 2));
   _prodInfo.Insert(ProdEntry(18, Statement, 1));
   _prodInfo.Insert(ProdEntry(17, Statement, 1));
   _prodInfo.Insert(ProdEntry(16, Statement, 4));
   _prodInfo.Insert(ProdEntry(15, Statement, 4));
   _prodInfo.Insert(ProdEntry(14, Statement, 4));
   _prodInfo.Insert(ProdEntry(13, Statement, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 2));
   _prodInfo.Insert(ProdEntry(11, Statement, 4));
   _prodInfo.Insert(ProdEntry(10, Statement, 4));
   _prodInfo.Insert(ProdEntry(9, Statement, 4));
   _prodInfo.Insert(ProdEntry(8, Statement, 4));
   _prodInfo.Insert(ProdEntry(7, Statement, 2));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 2));
   _prodInfo.Insert(ProdEntry(4, Statement, 2));
   _prodInfo.Insert(ProdEntry(3, Statement, 2));
   _prodInfo.Insert(ProdEntry(2, Statement, 3));
   _prodInfo.Insert(ProdEntry(1, Statement, 2));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

CegoAdm::CegoAdm()
{
   loadScanner();
   for ( int i=0; i < 364; i++)
   {
      int j;
      for ( j = 0; j < 109; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 16; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   _isReserved = false;
}

CegoAdm::~CegoAdm()
{
}

void CegoAdm::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 126:
                     dumpUIndex();
                     break;
                  case 125:
                     dumpTable();
                     break;
                  case 124:
                     copyFileAction();
                     break;
                  case 123:
                     setTableSetNodeAction();
                     break;
                  case 122:
                     getDbInfoAction();
                     break;
                  case 121:
                     getDbSpecAction();
                     break;
                  case 119:
                     storePit();
                     break;
                  case 118:
                     storeTSRootAttr();
                     break;
                  case 117:
                     storeSortAreaAttr();
                     break;
                  case 116:
                     storeAppSizeAttr();
                     break;
                  case 115:
                     storeLogNumAttr();
                     break;
                  case 114:
                     storeLogSizeAttr();
                     break;
                  case 113:
                     storeTmpSizeAttr();
                     break;
                  case 112:
                     storeSysSizeAttr();
                     break;
                  case 111:
                     storeSecondaryAttr();
                     break;
                  case 110:
                     storePrimaryAttr();
                     break;
                  case 106:
                     plainModeAction();
                     break;
                  case 105:
                     binModeAction();
                     break;
                  case 104:
                     xmlModeAction();
                     break;
                  case 103:
                     forceloadAction();
                     break;
                  case 102:
                     cleanupAction();
                     break;
                  case 98:
                     msgAction();
                     break;
                  case 96:
                     nologAction();
                     break;
                  case 94:
                     timeoutAction();
                     break;
                  case 92:
                     syncCmdAction();
                     break;
                  case 90:
                     keepTicketAction();
                     break;
                  case 89:
                     importTableSetStructureAction();
                     break;
                  case 88:
                     importTableSetAction();
                     break;
                  case 87:
                     importTableAction();
                     break;
                  case 86:
                     exportTableSetStructureAction();
                     break;
                  case 85:
                     exportTableSetAction();
                     break;
                  case 84:
                     exportTableAction();
                     break;
                  case 83:
                     disableAutoCorrectAction();
                     break;
                  case 82:
                     enableAutoCorrectAction();
                     break;
                  case 81:
                     setTSSortAreaSizeAction();
                     break;
                  case 80:
                     setTSLogSizeAction();
                     break;
                  case 79:
                     setTSLogNumAction();
                     break;
                  case 78:
                     setTSRootPathAction();
                     break;
                  case 77:
                     setTSAppSizeAction();
                     break;
                  case 76:
                     setTSTmpSizeAction();
                     break;
                  case 75:
                     setTSSysSizeAction();
                     break;
                  case 74:
                     setCheckpointAction();
                     break;
                  case 73:
                     setTSInitFileAction();
                     break;
                  case 72:
                     showLogMngAction();
                     break;
                  case 71:
                     setLogMngAction();
                     break;
                  case 70:
                     recoverTableSetAction();
                     break;
                  case 69:
                     syncTableSetAction();
                     break;
                  case 68:
                     endBackupAction();
                     break;
                  case 67:
                     beginBackupAction();
                     break;
                  case 66:
                     removeArchLogAction();
                     break;
                  case 65:
                     addArchLogAction();
                     break;
                  case 64:
                     disableArchLogAction();
                     break;
                  case 63:
                     enableArchLogAction();
                     break;
                  case 62:
                     traceOffAction();
                     break;
                  case 61:
                     traceOnAction();
                     break;
                  case 60:
                     removePermAction();
                     break;
                  case 59:
                     setRightPerm();
                     break;
                  case 58:
                     setFilterPerm();
                     break;
                  case 57:
                     setTableSetPerm();
                     break;
                  case 54:
                     setPermAction();
                     break;
                  case 53:
                     dropRoleAction();
                     break;
                  case 52:
                     createRoleAction();
                     break;
                  case 51:
                     showRoleAction();
                     break;
                  case 50:
                     listRoleAction();
                     break;
                  case 49:
                     removeRoleAction();
                     break;
                  case 48:
                     assignRoleAction();
                     break;
                  case 47:
                     changePwdAction();
                     break;
                  case 46:
                     removeUserAction();
                     break;
                  case 45:
                     listUserAction();
                     break;
                  case 44:
                     addUserAction();
                     break;
                  case 43:
                     correctTableSetAction();
                     break;
                  case 42:
                     verifyTableSetAction();
                     break;
                  case 41:
                     checkTableSetAction();
                     break;
                  case 40:
                     addDataFileAction();
                     break;
                  case 39:
                     resetTableSetAction();
                     break;
                  case 38:
                     removeTableSetAction();
                     break;
                  case 37:
                     dropTableSetAction();
                     break;
                  case 36:
                     relocateMediatorAction();
                     break;
                  case 35:
                     relocateSecondaryAction();
                     break;
                  case 34:
                     switchMediatorAction();
                     break;
                  case 33:
                     switchSecondaryAction();
                     break;
                  case 32:
                     switchTableSetAction();
                     break;
                  case 31:
                     copyTableSetAction();
                     break;
                  case 30:
                     stopTableSetAction();
                     break;
                  case 29:
                     startTableSetAction();
                     break;
                  case 28:
                     createTableSetAction();
                     break;
                  case 27:
                     defineTableSetAction();
                     break;
                  case 26:
                     retrieveTableSetAction();
                     break;
                  case 25:
                     abortDbThreadAction();
                     break;
                  case 24:
                     transactionInfoAction();
                     break;
                  case 23:
                     copyInfoAction();
                     break;
                  case 22:
                     logThreadInfoAction();
                     break;
                  case 21:
                     admThreadInfoAction();
                     break;
                  case 20:
                     dbThreadLastQueryAction();
                     break;
                  case 19:
                     dbThreadInfoAction();
                     break;
                  case 18:
                     lockStatAction();
                     break;
                  case 17:
                     threadInfoAction();
                     break;
                  case 16:
                     buStatResetAction();
                     break;
                  case 15:
                     buStatInfoAction();
                     break;
                  case 14:
                     buFileInfoAction();
                     break;
                  case 13:
                     dbSessionInfoAction();
                     break;
                  case 12:
                     listNodeAction();
                     break;
                  case 11:
                     objInfoAction();
                     break;
                  case 10:
                     logInfoAction();
                     break;
                  case 9:
                     archLogInfoAction();
                     break;
                  case 8:
                     dataFileInfoAction();
                     break;
                  case 7:
                     listTableSetAction();
                     break;
                  case 6:
                     lockInfoAction();
                     break;
                  case 5:
                     rawModeOff();
                     break;
                  case 4:
                     rawModeOn();
                     break;
                  case 3:
                     poolEntryListAction();
                     break;
                  case 2:
                     tableSetInfoAction();
                     break;
                  case 1:
                     poolInfoAction();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               statementAction();
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool CegoAdm::getAction(int state, CegoAdm::Token token, CegoAdm::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool CegoAdm::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool CegoAdm::isSepSign(char c)
{
   if (c == '.') return true;
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '*') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   return false;
}
bool CegoAdm::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   return false;
}
bool CegoAdm::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void CegoAdm::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
